Skip to main content
GET
List All Refunds

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

transaction
string
required

The id or the vid of the Transaction to retrieve

account
string

The id or the vid of the Account to retrieve A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128

Response

A list array with a data property that contains an array of up to limit Refunds, starting after the specified starting_after Refund (or ending before the specified ending_before Refund). Each entry in the array is a full Refund object. If no more Refunds are available, the resulting array will be empty. This request should never throw an error.

A list of Refund objects matching the query. Also:

  • "total_count": Integer count of the number of Refund objects in the returned list.
  • "url": The query string provided in the request
  • "next": The route (partial URL) to the next Refund object (string to select the “next”); included id should match that of the last object returned here
  • "previous": The route (partial URL) to the previous Refund object (string to select the “previous”); included id should match that of the first object returned here
object
enum<string>
Available options:
List
total_count
integer

Integer count of the number of items in the returned list.

data
object[]
url
string

The query string provided in the request

next
string

The route (partial URL) to the next Refund object (string to select the “next”); included id should match that of the last object returned here.

previous
string

The route (partial URL) to the previous Refund object (string to select the “previous”); included id should match that of the first object returned here.

Example:

"{ \"object\": \"List\", \"data\": [ { \"object\": \"Refund\", \"id\": \"refund_test1\", \"vid\": \"cd6f7ffb5338e77fe7a88c4dbb4c6f259516b3bf\", \"created\": \"2023-01-13T12:56:48+00:00\", \"transaction\": { \"object\": \"Transaction\", \"id\": \"cybs00000002\", \"vid\": \"f86a50764335a27658e3724fa12e29bdd01b573b\", \"created\": \"2022-12-20T06:01:24+00:00\", \"amount\": 100, \"currency\": \"USD\", \"account\": { \"object\": \"Account\", \"id\": \"test_account1\", \"vid\": \"6a28e020bb6e2cdf33f79270cabe2022b6ace091\", \"created\": \"2022-12-20T06:00:31+00:00\", \"email_type\": \"html\", \"payment_methods\": { \"object\": \"List\", \"data\": [ { \"object\": \"PaymentMethod\", \"vid\": \"c8e62120c26030f35b4260eabd87cca2604dfd8a\", \"created\": \"2022-12-20T06:00:31+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"6524e95aba785dd75c61c9513b4337c6382d63ff\", \"account\": \"411111XXXXXX1111\", \"bin\": \"411111\", \"type\": \"VI\", \"last_digits\": \"1111\", \"account_length\": 16, \"expiration_date\": \"202810\", \"last_au_request_date\": null, \"last_update_date\": null }, \"primary\": true, \"active\": true, \"linked_subscription\": true } ], \"total_count\": 1 } }, \"source_payment_method\": { \"object\": \"PaymentMethod\", \"vid\": \"c8e62120c26030f35b4260eabd87cca2604dfd8a\", \"created\": \"2022-12-20T06:00:31+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"6524e95aba785dd75c61c9513b4337c6382d63ff\", \"account\": \"411111XXXXXX1111\", \"bin\": \"411111\", \"type\": \"VI\", \"last_digits\": \"1111\", \"account_length\": 16, \"expiration_date\": \"202810\", \"last_au_request_date\": null, \"last_update_date\": null }, \"primary\": true, \"active\": true, \"linked_subscription\": true }, \"status_log\": { \"object\": \"List\", \"data\": [ { \"object\": \"TransactionStatus\", \"status\": \"Refunded\", \"created\": \"2023-01-13T12:56:48+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"100\", \"auth_approval_code\": \"888888\" } }, { \"object\": \"TransactionStatus\", \"status\": \"Captured\", \"created\": \"2022-12-21T01:00:53+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"100\", \"auth_approval_code\": \"888888\" }, \"note\": \"100\" }, { \"object\": \"TransactionStatus\", \"status\": \"Authorized\", \"created\": \"2022-12-20T06:01:26+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"100\", \"cvn_code\": \"ACCEPT\", \"auth_approval_code\": \"888888\" }, \"note\": \"100 - NA\" }, { \"object\": \"TransactionStatus\", \"status\": \"New\", \"created\": \"2022-12-20T06:01:24+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"100\", \"auth_approval_code\": \"888888\" } } ], \"total_count\": 4 }, \"payment_processor\": \"CyberSource\", \"payment_processor_transaction_id\": \"6715844186766174103009\", \"metadata\": { \"vin:paymentNetworkTransactionId\": \"123456789619999\", \"vin:BillingPlanUnit\": \"months\", \"vin:BillingPlanLength\": \"5\", \"vin:paymentProcessorResponseCode\": \"100\", \"vin:pp_auth_response_code\": \"100\", \"vin:RetryNumber\": \"0\", \"vin:BillingPlanDurationInSeconds\": \"0\", \"vin:BillingCycle\": \"0\", \"vin:FutureAmount\": \"100.00\", \"provider_trx_id\": \"6715160856826826503010\" }, \"items\": { \"object\": \"List\", \"data\": [ { \"object\": \"TransactionItem\", \"sku\": \"test_billing_plan\", \"index_number\": 1, \"item_type\": \"Purchase\", \"name\": \"Recurring Charge, Billing Plan test_billing_plan\", \"quantity\": 1, \"service_period_starts\": \"2022-12-20T00:00:00+00:00\", \"service_period_ends\": \"2023-05-19T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"total\": 0 }, { \"object\": \"TransactionItem\", \"sku\": \"test_product\", \"index_number\": 2, \"item_type\": \"Purchase\", \"name\": \"test_product\", \"subscription_item\": { \"object\": \"SubscriptionItem\", \"id\": \"test_id2\", \"vid\": \"eee6781b2a217df2cf3262b9d448c33789a18ce0\" }, \"price\": 100, \"quantity\": 1, \"service_period_starts\": \"2022-12-20T00:00:00+00:00\", \"service_period_ends\": \"2023-05-19T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"subtotal\": 100, \"total\": 100 }, { \"object\": \"TransactionItem\", \"sku\": \"Total Tax\", \"index_number\": 3, \"item_type\": \"Purchase\", \"name\": \"Total Tax\", \"price\": 0, \"quantity\": 1, \"tax_classification\": \"TaxExempt\", \"service_period_starts\": \"2022-12-20T00:00:00+00:00\", \"service_period_ends\": \"2023-05-19T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"discount\": 0, \"subtotal\": 0, \"total\": 0 } ], \"total_count\": 3 }, \"subscription_sequence\": 1, \"billing_plan_sequence\": 1, \"original_billing_date\": \"2022-12-20T00:00:00+00:00\", \"billing_attempt\": 0, \"subscription\": { \"object\": \"Subscription\", \"id\": \"test_sub2\", \"vid\": \"f62326a0c6dfb9c4924af44500c2116db7a00d0f\", \"status\": \"Active\" }, \"cvn_checked\": true, \"payment_provider_response\": \"Successful: Approved\" }, \"refund_distribution_strategy\": \"None\", \"amount\": 50, \"amount_includes_tax\": false, \"currency\": \"USD\", \"note\": \"Refund REQUEST VIA WEB FLX200001541REF\", \"token_action\": \"None\", \"status\": \"Processing\", \"issued_by\": \"qa_cybersource_soap\" } ], \"total_count\": 1, \"url\": \"/refunds?transaction=cybs00000002\", \"next\": \"/refunds?transaction=cybs00000002&starting_after=refund_test1\", \"previous\": \"/refunds?transaction=cybs00000002&ending_before=refund_test1\" }"